Documentation
curl -L -X POST 'https://flux.postacksolutions.com/api/auth/user' \
-H 'X-Server-ID: YOUR_SERVER_ID' \
-H 'X-API-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"externalUserId": "user_123",
"username": "john_doe",
"metadata": {
"email": "john@example.com",
"phoneNumber": "+1234567890"
},
"passwordHash": "encrypted_password_hash"
}'{
"user": {
"id": "6EAJHS27:user_123",
"externalUserId": "user_123",
"username": "john_doe",
"email": "john@example.com",
"phoneNumber": "+1234567890"
},
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}Auth
Create User
Creates a new user or authenticates an existing user. Returns access and refresh tokens for authenticated requests.
POST
Request Body
externalUserId
string
required
Your application's unique identifier for this user.
username
string
required
The user's display name.
metadata
object
nullable
Additional user information (email, phoneNumber, etc.).
passwordHash
string
nullable
Encrypted password hash for user authentication.